//
//  MyDocument.m
//  SourceList
//
//  Created by Mark Alldritt on 07/09/07.
//  Copyright __MyCompanyName__ 2007 . All rights reserved.
//

#import "MyDocument.h"
#import "LNSSourceListView.h"


@implementation MyDocument

- (id)init
{
    self = [super init];
    if (self) {
    
        // Add your subclass-specific initialization here.
        // If an error occurs here, send a [self release] message and return nil.

		//	Create a series of source lists to display in the window...
		mSourceList = [[NSMutableArray array] retain];
		
		[mSourceList addObject:[NSDictionary dictionaryWithObjectsAndKeys:
								[NSNumber numberWithBool:YES], @"isSourceGroup",
								@"Library", @"name",
								[NSArray arrayWithObjects:
									[NSDictionary dictionaryWithObjectsAndKeys:
										@"Music", @"name",
										nil],
									[NSDictionary dictionaryWithObjectsAndKeys:
										@"Movies", @"name",
										nil],
									[NSDictionary dictionaryWithObjectsAndKeys:
										@"TV Shows", @"name",
										nil],
									[NSDictionary dictionaryWithObjectsAndKeys:
										@"Podcasts", @"name",
										nil],
									[NSDictionary dictionaryWithObjectsAndKeys:
										@"Radio", @"name",
										nil],
									nil], @"children",
								nil]];
		[mSourceList addObject:[NSDictionary dictionaryWithObjectsAndKeys:
								[NSNumber numberWithBool:YES], @"isSourceGroup",
								@"Recent", @"name",
								[NSArray arrayWithObjects:
									[NSDictionary dictionaryWithObjectsAndKeys:
										@"iTunes Store", @"name",
										nil],
									[NSDictionary dictionaryWithObjectsAndKeys:
										@"Purchased", @"name",
										nil],
									nil], @"children",
								nil]];
		[mSourceList addObject:[NSDictionary dictionaryWithObjectsAndKeys:
								[NSNumber numberWithBool:YES], @"isSourceGroup",
								@"Devices", @"name",
								[NSArray arrayWithObjects:
									[NSDictionary dictionaryWithObjectsAndKeys:
										@"Mark's iPod", @"name",
										nil],
									nil], @"children",
								nil]];
		[mSourceList addObject:[NSDictionary dictionaryWithObjectsAndKeys:
								[NSNumber numberWithBool:YES], @"isSourceGroup",
								@"Playlists", @"name",
								[NSArray arrayWithObjects:
									[NSDictionary dictionaryWithObjectsAndKeys:
										@"Party Shuffle", @"name",
										nil],
									[NSDictionary dictionaryWithObjectsAndKeys:
										@"Top 25 Most Played", @"name",
										nil],
									[NSDictionary dictionaryWithObjectsAndKeys:
										@"My Top Rated", @"name",
										nil],
									nil], @"children",
								nil]];
    }

    return self;
}

- (void) dealloc
{
	[mSourceList release];
	[super dealloc];
}

- (NSString *)windowNibName
{
    // Override returning the nib file name of the document
    // If you need to use a subclass of NSWindowController or if your document supports multiple NSWindowControllers, you should remove this method and override -makeWindowControllers instead.
    return @"MyDocument";
}

- (void)windowControllerDidLoadNib:(NSWindowController *) aController
{
    [super windowControllerDidLoadNib:aController];
    // Add any code here that needs to be executed once the windowController has loaded the document's window.

	[mSourceListView setAppearance:kSourceList_iTunesAppearance];
	//[mSourceListView setAppearance:kSourceList_NumbersAppearance];
}

- (NSData *)dataRepresentationOfType:(NSString *)aType
{
    // Insert code here to write your document from the given data.  You can also choose to override -fileWrapperRepresentationOfType: or -writeToFile:ofType: instead.
    
    // For applications targeted for Tiger or later systems, you should use the new Tiger API -dataOfType:error:.  In this case you can also choose to override -writeToURL:ofType:error:, -fileWrapperOfType:error:, or -writeToURL:ofType:forSaveOperation:originalContentsURL:error: instead.

    return nil;
}

- (BOOL)loadDataRepresentation:(NSData *)data ofType:(NSString *)aType
{
    // Insert code here to read your document from the given data.  You can also choose to override -loadFileWrapperRepresentation:ofType: or -readFromFile:ofType: instead.
    
    // For applications targeted for Tiger or later systems, you should use the new Tiger API readFromData:ofType:error:.  In this case you can also choose to override -readFromURL:ofType:error: or -readFromFileWrapper:ofType:error: instead.
    
    return YES;
}

- (NSArray*) sourceList { return [[mSourceList retain] autorelease]; }

@end
